Subject: Re: bug#25183: 26.0.50; expanding quoted file name on w32

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Dec 2016 20:00:32 +0200

> From: Noam Postavsky <[email-masked]>
> Date: Sat, 24 Dec 2016 12:43:24 -0500
> Cc: Michael Albinus <[email-masked]>, [email-masked]
> 
> >>     (expand-file-name "/:~/path/./file") => (error "/: quoting relative file name")
> >
> > expand-file-name doesn't signal errors, and I don't think it would be
> > a good idea to have it start doing that.
> 
> I think the status quo (leaving it inconsistent) is okay too (garbage
> in, garbage out).

But expansion of "~" in the Windows build should be bypassed in this
case, don't you agree?

> >> As I've said in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25183#29,
> >> currently "/:~/foo" is a kind of paradoxical file name, being
> >> both/neither relative nor absolute.
> >
> > file-name-absolute-p is not smart enough to handle this case with the
> > rigor we are discussing, so I don't think this aspect is important for
> > the purposes of this discussion.  The "/:" quoting was chosen because
> > it fools file-name-absolute-p, so the above is not surprising.
> 
> I don't think file-name-absolute-p is relevant.

We are in agreement about that.